/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * Messwerte ueber MQTT einlesen und auf LCD Display, sowie auf Tastendruck 
 * ueber MP3 Ausgabe auf Lautsprecher
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include "lcd.h"
#include "mqtt.h"
#include "globals.h"
#include "mp3.h"

// Defines -------------------------------------------------------------------
#define STARTPIN 5

// Funktionen ----------------------------------------------------------------
void setup() 
{
  pinMode(STARTPIN, INPUT);
  Serial.begin(9600);
  Serial.println(F("[MQTT Subscriber mit LCD + MP3]"));
  LCD_Startup();
  MQTT_Startup();
  MP3_Startup();
}

void loop () 
{
  MQTT_Connect();                   // Server abfragen
  if (true == MQTT_GetReceived())   // Wenn Daten angekommen sind
  {
    LCD_ShowValues();               // Maske mit Werten anzeigen
    MQTT_ResetReceived();           // Klarmachen fuer naechsten Empfang
  }
  if (digitalRead(STARTPIN) == LOW) // Taste gedrueckt
  {
    MP3_SagEsLaut();                // Messwerte ansagen
  }
}

